#include "protocols.hpp"

std::string source_to_string(ProtocolSource source) {
    switch (source) {
        case UPSTREAM:
            return "Upstream";
        case WLROOTS:
            return "Wlroots";
        case KDE:
            return "KDE";
        case WESTON:
            return "Weston";
        case CHROMEOS:
            return "ChromeOS";
        default:
            return "Unknown";
    }
}

std::string status_to_string(ProtocolStatus status) {
    switch (status) {
        case STABLE:
            return "Stable";
        case STAGING:
            return "Staging";
        case UNSTABLE:
            return "Unstable";
        default:
            return "None";
    }
}
